/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see <http://www.gnu.org/licenses/>.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/

/* --- progress tracker --- */
.progress-tracker {
  position: relative;
  margin-bottom: 10px;
}

.progress-tracker-line {
  position: absolute;
  width: 100%;
  display: table;
  z-index: 1;
}

.progress-tracker-line-content {
  display: table-row;
  width: 100%;
}

.progress-tracker-line-end {
  display: table-cell;
}

.progress-tracker-line-main {
  border-bottom: 3px rgb(204, 204, 204) solid;
  height: 14px;
  display: table-cell;
}

ol.progress-tracker-content {
  display: table;
  margin: 0 !important;
  padding: 5px 0 0 0 !important;
  table-layout: fixed;
  width: 100%;
  position: relative;
  z-index: 2;
}

ol.progress-tracker-content li {
  display: table-cell;
  text-align: center;
  word-wrap: break-word;
}

.step-label {
  font-size: 13px;
  margin-top: 10px;
}

.progress-tracker[data-progress-tracker-steps="0"] {
  display: none;
}

.progress-tracker[data-progress-tracker-steps="2"] li {
  width: 49%;
}

.progress-tracker[data-progress-tracker-steps="3"] li {
  width: 33%;
}

.progress-tracker[data-progress-tracker-steps="4"] li {
  width: 24%;
}

.progress-tracker[data-progress-tracker-steps="5"] li {
  width: 19%;
}

.progress-tracker[data-progress-tracker-steps="6"] li {
  width: 16%;
}

.progress-tracker[data-progress-tracker-steps="7"] li {
  width: 14%;
}

.progress-tracker[data-progress-tracker-steps="8"] li {
  width: 12%;
}

.progress-tracker[data-progress-tracker-steps="9"] li {
  width: 11%;
}

.progress-tracker[data-progress-tracker-steps="2"] .progress-tracker-line-end {
  width: 25%;
}

.progress-tracker[data-progress-tracker-steps="3"] .progress-tracker-line-end {
  width: 16%;
}

.progress-tracker[data-progress-tracker-steps="4"] .progress-tracker-line-end {
  width: 12%;
}

.progress-tracker[data-progress-tracker-steps="5"] .progress-tracker-line-end {
  width: 10%;
}

.progress-tracker[data-progress-tracker-steps="6"] .progress-tracker-line-end {
  width: 8%;
}

.progress-tracker[data-progress-tracker-steps="7"] .progress-tracker-line-end {
  width: 7%;
}

.progress-tracker[data-progress-tracker-steps="8"] .progress-tracker-line-end {
  width: 6%;
}

.progress-tracker[data-progress-tracker-steps="9"] .progress-tracker-line-end {
  width: 6%;
}

.progress-tracker[data-progress-tracker-steps="2"] .progress-tracker-line-main {
  width: 50%;
}

.progress-tracker[data-progress-tracker-steps="3"] .progress-tracker-line-main {
  width: 68%;
}

.progress-tracker[data-progress-tracker-steps="4"] .progress-tracker-line-main {
  width: 76%;
}

.progress-tracker[data-progress-tracker-steps="5"] .progress-tracker-line-main {
  width: 80%;
}

.progress-tracker[data-progress-tracker-steps="6"] .progress-tracker-line-main {
  width: 84%;
}

.progress-tracker[data-progress-tracker-steps="7"] .progress-tracker-line-main {
  width: 86%;
}

.progress-tracker[data-progress-tracker-steps="8"] .progress-tracker-line-main {
  width: 88%;
}

.progress-tracker[data-progress-tracker-steps="9"] .progress-tracker-line-main {
  width: 88%;
}
